/*
 * helper tools
 */

#include <time.h>
#include <string>

using namespace std;

class cHelpers
{
public:
  static string ToUpper(string text);
  static string GetRunningRecordings();
  static string GetNextRecordings(time_t& starttime);
  static string GetShutdownTime(time_t& stoptime);
  static string GetFreeSpace();
  static string GetVersion();
  static string GetPlays();
private:
  static string SafeCall(string (*)());
  static string SafeCall(string (*)(time_t&), time_t& timeval);
  static string GetRunningRecordingsIntern();
  static string GetNextRecordingsIntern(time_t& starttime);
  static string GetShutdownTimeIntern(time_t& stoptime);
};
